| threaddb 2.0b A file mapped memory container extension

Public Types | Public Member Functions | Friends | List of all members
tdb::rgrid< T, C, D, L > Class Template Reference

External representation of the rgrid structure. More...

`#include <threaddbRGrid.h>`

## Public Types
typedef Box< C, D > | Box_
typedef TaskInfo< L > | TaskInfo_

## Public Member Functions
| rgrid (const Box_ &rBox_p, uint32_t Depth_p, tdb::database &rDb_p)
| rgrid (std::istream &is, tdb::database &rDb_p)
void | add (const Box_ &rBox_p, const T &rData_p)
void | query (const Box_ &rBox_p, Functor< T > &rCallback_p, uint8_t Threads_p=0)
| Main entry for query operation over multiple threads. More...

## Friends
std::ostream & | operator<< (std::ostream &os, const rgrid &R)

## Detailed Description

### template<class T, typename C, size_t D, class L = Link<T, C, D>>
class tdb::rgrid< T, C, D, L >

External representation of the rgrid structure.

## Member Typedef Documentation

## ◆ Box_

template<class T , typename C , size_t D, class L = Link<T, C, D>>

typedef Box<C, D> tdb::rgrid< T, C, D, L >::Box_

## ◆ TaskInfo_

template<class T , typename C , size_t D, class L = Link<T, C, D>>

typedef TaskInfo<L> tdb::rgrid< T, C, D, L >::TaskInfo_

## Constructor & Destructor Documentation

## ◆ rgrid() [1/2]

template<class T , typename C , size_t D, class L = Link<T, C, D>>

tdb::rgrid< T, C, D, L >::rgrid | ( | const Box_ & | rBox_p,
|  | uint32_t | Depth_p,
|  | tdb::database & | rDb_p
| ) |  |
| inline

## ◆ rgrid() [2/2]

template<class T , typename C , size_t D, class L = Link<T, C, D>>

tdb::rgrid< T, C, D, L >::rgrid | ( | std::istream & | is,
|  | tdb::database & | rDb_p
| ) |  |
| inline

## Member Function Documentation

## ◆ add()

template<class T , typename C , size_t D, class L = Link<T, C, D>>

void tdb::rgrid< T, C, D, L >::add | ( | const Box_ & | rBox_p,
|  | const T & | rData_p
| ) |  |
| inline

## ◆ query()

template<class T , typename C , size_t D, class L = Link<T, C, D>>

void tdb::rgrid< T, C, D, L >::query | ( | const Box_ & | rBox_p,
|  | Functor< T > & | rCallback_p,
|  | uint8_t | Threads_p = `0`
| ) |  |
| inline

Main entry for query operation over multiple threads.

## Friends And Related Function Documentation

## ◆ operator<<

template<class T , typename C , size_t D, class L = Link<T, C, D>>

std::ostream& operator<< | ( | std::ostream & | os,
|  | const rgrid< T, C, D, L > & | R
| ) |  |
| friend

The documentation for this class was generated from the following file:

- B:/threaddbwc/branches/threaddb-2.0/1stParty/threaddb/public/threaddbRGrid.h